package com.goafanti.order.bo;


public class InputOrderNewListBo {
    private String aid;
    private  String name;
    private String orderNo;
    private String starTime;
    private String endTime;
    private Integer specially;
    private Integer approval;
    /**
     * 0=未审核，1=未分配，2=部分分配，3=全部分配
     */
    private Integer distribution;
    private String deps;
    private String contractNo;
    private Integer outsource;
    private Integer liquidationStatus;
    private Integer amountStatus;
    private String contractStart;
    private String contractEnd;
    private String uid;
    private String type;
    private Integer projectType;
    private Integer processStatus;
    private Integer tag;
    /**
     *  最大公出状态 0=未设置  1=已设置
     */
    private Integer maxStatus;
    private Integer manageType;

    /**
     *  最大公出审核 0=未审核  1=已审核
     */
    private Integer maxProcessStatus;
    private Integer scoreStatus;
    private  Integer pageNo;
    private Integer pageSize;

    public Integer getManageType() {
        return manageType;
    }

    public void setManageType(Integer manageType) {
        this.manageType = manageType;
    }

    public Integer getScoreStatus() {
        return scoreStatus;
    }

    public void setScoreStatus(Integer scoreStatus) {
        this.scoreStatus = scoreStatus;
    }

    public Integer getMaxProcessStatus() {
        return maxProcessStatus;
    }

    public void setMaxProcessStatus(Integer maxProcessStatus) {
        this.maxProcessStatus = maxProcessStatus;
    }

    public Integer getMaxStatus() {
        return maxStatus;
    }

    public void setMaxStatus(Integer maxStatus) {
        this.maxStatus = maxStatus;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getTag() {
        return tag;
    }

    public void setTag(Integer tag) {
        this.tag = tag;
    }

    public String getDeps() {
        return deps;
    }

    public void setDeps(String deps) {
        this.deps = deps;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getStarTime() {
        return starTime;
    }

    public void setStarTime(String starTime) {
        this.starTime = starTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getSpecially() {
        return specially;
    }

    public void setSpecially(Integer specially) {
        this.specially = specially;
    }

    public Integer getApproval() {
        return approval;
    }

    public void setApproval(Integer approval) {
        this.approval = approval;
    }

    public Integer getDistribution() {
        return distribution;
    }

    public void setDistribution(Integer distribution) {
        this.distribution = distribution;
    }



    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Integer getOutsource() {
        return outsource;
    }

    public void setOutsource(Integer outsource) {
        this.outsource = outsource;
    }

    public Integer getLiquidationStatus() {
        return liquidationStatus;
    }

    public void setLiquidationStatus(Integer liquidationStatus) {
        this.liquidationStatus = liquidationStatus;
    }

    public Integer getAmountStatus() {
        return amountStatus;
    }

    public void setAmountStatus(Integer amountStatus) {
        this.amountStatus = amountStatus;
    }

    public String getContractStart() {
        return contractStart;
    }

    public void setContractStart(String contractStart) {
        this.contractStart = contractStart;
    }

    public String getContractEnd() {
        return contractEnd;
    }

    public void setContractEnd(String contractEnd) {
        this.contractEnd = contractEnd;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Integer getProjectType() {
        return projectType;
    }

    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
